Skip to main content
GET
/
persons
/
{id}
/
authorities
List authorities for a person
curl --request GET \
  --url https://api.engine.usesophic.com/persons/{id}/authorities \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "authority_type": "owner",
    "status": "active",
    "customer": {
      "id": "<string>",
      "reference": "<string>",
      "status": "active",
      "full_name": "<string>",
      "onboarding": "<string>",
      "mifid_category": "<string>",
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "line3": "<string>",
        "district_county": "<string>",
        "city": "<string>",
        "postal_code": "<string>",
        "country_code": "<string>"
      },
      "phone_number": "<string>",
      "risk_profile": "<string>",
      "risk_score": "<string>",
      "referrer_code": "<string>",
      "customer_type": "<unknown>",
      "first_name": "<string>",
      "last_name": "<string>",
      "date_of_birth": "2023-11-07T05:31:56Z",
      "nationalities": [
        "<string>"
      ],
      "passport_number": "<string>",
      "id_number": "<string>",
      "tax_number": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z"
    },
    "person": {
      "id": "<string>",
      "person_type": "<unknown>",
      "full_name": "<string>",
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "line3": "<string>",
        "district_county": "<string>",
        "city": "<string>",
        "postal_code": "<string>",
        "country_code": "<string>"
      },
      "phone_number": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "passport_number": "<string>",
      "id_number": "<string>",
      "tax_number": "<string>",
      "nationalities": [
        "<string>"
      ],
      "date_of_birth": "2023-12-25",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z"
    },
    "granted_at": "2023-11-07T05:31:56Z",
    "revoked_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the person.

Query Parameters

include_revoked
boolean
default:false

Whether to include revoked authorities.

Response

OK

id
string
required

Unique resource identifier.

authority_type
enum<string>
required

The type of authority granted.

Available options:
owner,
joint_owner,
signatory,
power_of_attorney,
trading
status
enum<string>
required

The status of the authority (active or revoked).

Available options:
active,
revoked
customer
IndividualCustomer · object
required

The customer the authority applies to.

person
NaturalPerson · object
required

The person the authority is granted to.

granted_at
string<date-time>
required

The timestamp at which the authority was granted (in ISO-8601 format).

revoked_at
string<date-time> | null
required

The timestamp at which the authority was revoked (in ISO-8601 format). If the authority is still active, this will be null.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.